Obtenha informações sobre o BIN
curl --request GET \
--url https://api.stage.localpayment.com/api/resources/bin-validation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/resources/bin-validation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/resources/bin-validation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/resources/bin-validation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/resources/bin-validation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/resources/bin-validation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/resources/bin-validation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bin": "40000000",
"bank": "INTL HDQTRS-CENTER OWNED",
"card": "VISA",
"type": "CREDIT",
"level": "TRADITIONAL",
"country": "United States of America",
"countryCode": "US",
"website": "",
"phone": "",
"valid": true
}
Serviços de validação
Obtenha informações sobre o BIN
GET
/
api
/
resources
/
bin-validation
Obtenha informações sobre o BIN
curl --request GET \
--url https://api.stage.localpayment.com/api/resources/bin-validation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/resources/bin-validation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/resources/bin-validation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/resources/bin-validation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/resources/bin-validation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/resources/bin-validation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/resources/bin-validation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bin": "40000000",
"bank": "INTL HDQTRS-CENTER OWNED",
"card": "VISA",
"type": "CREDIT",
"level": "TRADITIONAL",
"country": "United States of America",
"countryCode": "US",
"website": "",
"phone": "",
"valid": true
}
Valide um Bank Identification Number (BIN) para verificar a validade do cartão e obter detalhes importantes, como emissor, bandeira, tipo e país. Use esta verificação para evitar falhas de pagamento causadas por dados de cartão inválidos.
Lembre-se
O countryCode na resposta está no formato ISO-3166-1 Alpha-2. Certifique-se de converter este valor para o padrão ISO-3166-1 Alpha-3 antes de enviá-lo a outros endpoints do nosso sistema.
Autorizações
Cabeçalhos
Token de acesso Bearer para autenticação. Este token é obtido nos endpoints Obter token de acesso ou Renovar token de acesso.
Resposta
OK
Última modificação em 10 de novembro de 2026

